﻿using FileStorage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FileHandlers
{
    public abstract class FwFileHandlerBase : IFwFileHandler
    {
        public virtual void DeleteFile(IFileStorage file)
        {
        }

        public virtual Stream GetFileData(IFileStorage file)
        {
            return null;
        }

        public virtual string Upload( string fileName, long length, string extraInfo, Stream fileData)
        {
            return "";
        }
    }
}
