﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FileStorage
{
    public class FileUploadOptions
    {
        /// <summary>
        /// 存储方式
        /// </summary>
        public string SaveFileMode { get; set; }

        public Dictionary<string, List<FileHandlerOptions>> Settings { get; set; }
    }

    public class FileHandlerOptions
    {
        public string GroupName { get; set; }

        public string GroupLocation { get; set; }

        public string ServerUrl { get; set; }

        public string Key { get; set; }

        public string Secret { get; set; }
    }
}
